{
    "scheduler": [
        "build_maxscale_all_triggerable",
        "Scheduler"
    ],
    "build_targets": [
        [
            {
                "target_name": "release",
                "cmake_flags": "-DBUILD_TESTS=N -DBUILD_MMMON=Y -DBUILD_CDC=Y -DBUILD_GUI=Y"
            },
            {
                "target_name": "debug",
                "cmake_flags": "-DBUILD_TESTS=Y -DCMAKE_BUILD_TYPE=Debug -DBUILD_MMMON=Y -DBUILD_AVRO=Y -DBUILD_CDC=Y -DWITH_ASAN=N -DBUILD_GUI=Y"
            }
        ],
        "Trigger"
    ],
    "run_upgrade_test": [
        "yes",
        "Trigger"
    ],
    "do_not_destroy_vm": [
        "no",
        "Trigger"
    ],
    "additionalCmakeOptions": [
        null,
        "Trigger"
    ],
    "name": [
        null,
        "Trigger"
    ],
    "branch": [
        "maxscale-2.4.18",
        "Build"
    ],
    "maxscaleVersionNumber": [
        "2.4.18",
        "Trigger"
    ],
    "maxscaleOldTarget": [
        "2.4.17",
        "Trigger"
    ],
    "host": [
        "mariadbenterprise-buildbot",
        "Assign worker"
    ],
    "owners": [
        [
            "timofey.turenko@mariadb.com"
        ],
        "Trigger"
    ],
    "signatureKey": [
        "MaxscaleProduction",
        "Trigger"
    ],
    "passphrase": [
        "--passphrase-file ~/.config/passphrase",
        "Trigger"
    ],
    "maxscaleDistros": [
        "ONLY_AMD64",
        "Trigger"
    ],
    "target_name": [
        "debug",
        "Trigger"
    ],
    "cmake_flags": [
        "-DBUILD_TESTS=Y -DCMAKE_BUILD_TYPE=Debug -DBUILD_MMMON=Y -DBUILD_AVRO=Y -DBUILD_CDC=Y -DWITH_ASAN=N -DBUILD_GUI=Y",
        "Trigger"
    ],
    "virtual_builder_name": [
        "Build all for debug",
        "Trigger"
    ],
    "target": [
        "maxscale-2.4.18-debug",
        "Trigger"
    ],
    "buildername": [
        "build_maxscale_all",
        "Builder"
    ],
    "images": [
        [
            "debian_bullseye_gcp",
            "debian_buster_gcp",
            "rhel_7_gcp",
            "debian_stretch_gcp",
            "ubuntu_bionic_gcp",
            "ubuntu_focal_gcp",
            "rhel_8_gcp",
            "sles_12_gcp",
            "sles_152_gcp"
        ],
        "Set distributions list"
    ],
    "product": [
        "Maxscale",
        "Builder"
    ],
    "workername": [
        "mariadbenterprise-buildbot-15",
        "Worker"
    ],
    "buildnumber": [
        54,
        "Build"
    ],
    "revision": [
        "",
        "Build"
    ],
    "repository": [
        "https://github.com/mariadb-corporation/MaxScale.git",
        "Build"
    ],
    "codebase": [
        "",
        "Build"
    ],
    "project": [
        "",
        "Build"
    ],
    "builddir": [
        "/home/timofey_turenko_mariadb_com/buildbot-workers/mariadbenterprise-buildbot-15/build_maxscale_all",
        "Worker"
    ],
    "got_revision": [
        "2a542249274ca23ed25f174d53aefc62b95a7bee",
        "Git"
    ],
    "sshKeyFile": [
        "/home/timofey_turenko_mariadb_com/reposerver_keys/maxscale_prod",
        "Determine repository signature key parameters"
    ],
    "sshUser": [
        "maxscale_prod",
        "Determine repository signature key parameters"
    ],
    "signServer": [
        "mdbe-ci-repo-us",
        "Determine repository signature key parameters"
    ],
    "singKeyName": [
        "MariaDB Enterprise Signing Key",
        "Determine repository signature key parameters"
    ],
    "additionalRepoArgs": [
        "--no-incomming",
        "Set 'product' to Maxscale'"
    ],
    "jenkinsBuild": [
        false,
        "Set 'product' to Maxscale'"
    ],
    "URL": "https://mdbe-buildbot.mariadb.net/#builders/159/builds/54"
}
